/*

 Juha Niinikoski 24.4.2002

 Modified for Make temp display disp board PIC16F818 04.09.2003


*/


//*****************************************
// Convert CHx & returns integer value
// chnum selects chanell
//*****************************************

int convert_adc(char chnum)
{
	char temp;

	union
	{
	int i;
	unsigned char adcregs[2];
	} adcresult;

	temp = ADCON0 & 0b11000101;
	ADCON0 = temp | (chnum << 3);
	delayus(250);

	GODONE = 1;
	asm("nop");
	while (GODONE)
		;

	adcresult.adcregs[0]=ADRESL;
	adcresult.adcregs[1]=ADRESH;

	return adcresult.i;
}

